// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.36.5
// 	protoc        v5.29.3
// source: internal/module/agent_tracker/rpc/rpc.proto

package rpc

import (
	reflect "reflect"
	sync "sync"
	unsafe "unsafe"

	_ "buf.build/gen/go/bufbuild/protovalidate/protocolbuffers/go/buf/validate"
	entity "gitlab.com/gitlab-org/cluster-integration/gitlab-agent/v17/pkg/entity"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	timestamppb "google.golang.org/protobuf/types/known/timestamppb"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type GetConnectedAgentsByProjectIDsRequest struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	ProjectIds    []int64                `protobuf:"varint,1,rep,packed,name=project_ids,json=projectIds,proto3" json:"project_ids,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *GetConnectedAgentsByProjectIDsRequest) Reset() {
	*x = GetConnectedAgentsByProjectIDsRequest{}
	mi := &file_internal_module_agent_tracker_rpc_rpc_proto_msgTypes[0]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *GetConnectedAgentsByProjectIDsRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetConnectedAgentsByProjectIDsRequest) ProtoMessage() {}

func (x *GetConnectedAgentsByProjectIDsRequest) ProtoReflect() protoreflect.Message {
	mi := &file_internal_module_agent_tracker_rpc_rpc_proto_msgTypes[0]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetConnectedAgentsByProjectIDsRequest.ProtoReflect.Descriptor instead.
func (*GetConnectedAgentsByProjectIDsRequest) Descriptor() ([]byte, []int) {
	return file_internal_module_agent_tracker_rpc_rpc_proto_rawDescGZIP(), []int{0}
}

func (x *GetConnectedAgentsByProjectIDsRequest) GetProjectIds() []int64 {
	if x != nil {
		return x.ProjectIds
	}
	return nil
}

type GetConnectedAgentsByAgentIDsRequest struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	AgentIds      []int64                `protobuf:"varint,1,rep,packed,name=agent_ids,json=agentIds,proto3" json:"agent_ids,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *GetConnectedAgentsByAgentIDsRequest) Reset() {
	*x = GetConnectedAgentsByAgentIDsRequest{}
	mi := &file_internal_module_agent_tracker_rpc_rpc_proto_msgTypes[1]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *GetConnectedAgentsByAgentIDsRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetConnectedAgentsByAgentIDsRequest) ProtoMessage() {}

func (x *GetConnectedAgentsByAgentIDsRequest) ProtoReflect() protoreflect.Message {
	mi := &file_internal_module_agent_tracker_rpc_rpc_proto_msgTypes[1]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetConnectedAgentsByAgentIDsRequest.ProtoReflect.Descriptor instead.
func (*GetConnectedAgentsByAgentIDsRequest) Descriptor() ([]byte, []int) {
	return file_internal_module_agent_tracker_rpc_rpc_proto_rawDescGZIP(), []int{1}
}

func (x *GetConnectedAgentsByAgentIDsRequest) GetAgentIds() []int64 {
	if x != nil {
		return x.AgentIds
	}
	return nil
}

type GetConnectedAgentsByProjectIDsResponse struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Agents        []*ConnectedAgent      `protobuf:"bytes,1,rep,name=agents,proto3" json:"agents,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *GetConnectedAgentsByProjectIDsResponse) Reset() {
	*x = GetConnectedAgentsByProjectIDsResponse{}
	mi := &file_internal_module_agent_tracker_rpc_rpc_proto_msgTypes[2]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *GetConnectedAgentsByProjectIDsResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetConnectedAgentsByProjectIDsResponse) ProtoMessage() {}

func (x *GetConnectedAgentsByProjectIDsResponse) ProtoReflect() protoreflect.Message {
	mi := &file_internal_module_agent_tracker_rpc_rpc_proto_msgTypes[2]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetConnectedAgentsByProjectIDsResponse.ProtoReflect.Descriptor instead.
func (*GetConnectedAgentsByProjectIDsResponse) Descriptor() ([]byte, []int) {
	return file_internal_module_agent_tracker_rpc_rpc_proto_rawDescGZIP(), []int{2}
}

func (x *GetConnectedAgentsByProjectIDsResponse) GetAgents() []*ConnectedAgent {
	if x != nil {
		return x.Agents
	}
	return nil
}

type GetConnectedAgentsByAgentIDsResponse struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Agents        []*ConnectedAgent      `protobuf:"bytes,1,rep,name=agents,proto3" json:"agents,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *GetConnectedAgentsByAgentIDsResponse) Reset() {
	*x = GetConnectedAgentsByAgentIDsResponse{}
	mi := &file_internal_module_agent_tracker_rpc_rpc_proto_msgTypes[3]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *GetConnectedAgentsByAgentIDsResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetConnectedAgentsByAgentIDsResponse) ProtoMessage() {}

func (x *GetConnectedAgentsByAgentIDsResponse) ProtoReflect() protoreflect.Message {
	mi := &file_internal_module_agent_tracker_rpc_rpc_proto_msgTypes[3]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetConnectedAgentsByAgentIDsResponse.ProtoReflect.Descriptor instead.
func (*GetConnectedAgentsByAgentIDsResponse) Descriptor() ([]byte, []int) {
	return file_internal_module_agent_tracker_rpc_rpc_proto_rawDescGZIP(), []int{3}
}

func (x *GetConnectedAgentsByAgentIDsResponse) GetAgents() []*ConnectedAgent {
	if x != nil {
		return x.Agents
	}
	return nil
}

type CountAgentsByAgentVersionsRequest struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *CountAgentsByAgentVersionsRequest) Reset() {
	*x = CountAgentsByAgentVersionsRequest{}
	mi := &file_internal_module_agent_tracker_rpc_rpc_proto_msgTypes[4]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *CountAgentsByAgentVersionsRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CountAgentsByAgentVersionsRequest) ProtoMessage() {}

func (x *CountAgentsByAgentVersionsRequest) ProtoReflect() protoreflect.Message {
	mi := &file_internal_module_agent_tracker_rpc_rpc_proto_msgTypes[4]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CountAgentsByAgentVersionsRequest.ProtoReflect.Descriptor instead.
func (*CountAgentsByAgentVersionsRequest) Descriptor() ([]byte, []int) {
	return file_internal_module_agent_tracker_rpc_rpc_proto_rawDescGZIP(), []int{4}
}

type CountAgentsByAgentVersionsResponse struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	AgentVersions map[string]int64       `protobuf:"bytes,1,rep,name=agent_versions,json=agentVersions,proto3" json:"agent_versions,omitempty" protobuf_key:"bytes,1,opt,name=key" protobuf_val:"varint,2,opt,name=value"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *CountAgentsByAgentVersionsResponse) Reset() {
	*x = CountAgentsByAgentVersionsResponse{}
	mi := &file_internal_module_agent_tracker_rpc_rpc_proto_msgTypes[5]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *CountAgentsByAgentVersionsResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CountAgentsByAgentVersionsResponse) ProtoMessage() {}

func (x *CountAgentsByAgentVersionsResponse) ProtoReflect() protoreflect.Message {
	mi := &file_internal_module_agent_tracker_rpc_rpc_proto_msgTypes[5]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CountAgentsByAgentVersionsResponse.ProtoReflect.Descriptor instead.
func (*CountAgentsByAgentVersionsResponse) Descriptor() ([]byte, []int) {
	return file_internal_module_agent_tracker_rpc_rpc_proto_rawDescGZIP(), []int{5}
}

func (x *CountAgentsByAgentVersionsResponse) GetAgentVersions() map[string]int64 {
	if x != nil {
		return x.AgentVersions
	}
	return nil
}

type ConnectedAgent struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	AgentMeta     *entity.AgentMeta      `protobuf:"bytes,1,opt,name=agent_meta,proto3" json:"agent_meta,omitempty"`
	ConnectedAt   *timestamppb.Timestamp `protobuf:"bytes,2,opt,name=connected_at,proto3" json:"connected_at,omitempty"`
	ConnectionId  int64                  `protobuf:"varint,3,opt,name=connection_id,proto3" json:"connection_id,omitempty"`
	AgentId       int64                  `protobuf:"varint,4,opt,name=agent_id,proto3" json:"agent_id,omitempty"`
	ProjectId     int64                  `protobuf:"varint,5,opt,name=project_id,proto3" json:"project_id,omitempty"`
	Warnings      []*AgentWarning        `protobuf:"bytes,6,rep,name=warnings,proto3" json:"warnings,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *ConnectedAgent) Reset() {
	*x = ConnectedAgent{}
	mi := &file_internal_module_agent_tracker_rpc_rpc_proto_msgTypes[6]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *ConnectedAgent) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ConnectedAgent) ProtoMessage() {}

func (x *ConnectedAgent) ProtoReflect() protoreflect.Message {
	mi := &file_internal_module_agent_tracker_rpc_rpc_proto_msgTypes[6]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ConnectedAgent.ProtoReflect.Descriptor instead.
func (*ConnectedAgent) Descriptor() ([]byte, []int) {
	return file_internal_module_agent_tracker_rpc_rpc_proto_rawDescGZIP(), []int{6}
}

func (x *ConnectedAgent) GetAgentMeta() *entity.AgentMeta {
	if x != nil {
		return x.AgentMeta
	}
	return nil
}

func (x *ConnectedAgent) GetConnectedAt() *timestamppb.Timestamp {
	if x != nil {
		return x.ConnectedAt
	}
	return nil
}

func (x *ConnectedAgent) GetConnectionId() int64 {
	if x != nil {
		return x.ConnectionId
	}
	return 0
}

func (x *ConnectedAgent) GetAgentId() int64 {
	if x != nil {
		return x.AgentId
	}
	return 0
}

func (x *ConnectedAgent) GetProjectId() int64 {
	if x != nil {
		return x.ProjectId
	}
	return 0
}

func (x *ConnectedAgent) GetWarnings() []*AgentWarning {
	if x != nil {
		return x.Warnings
	}
	return nil
}

type AgentWarning struct {
	state protoimpl.MessageState `protogen:"open.v1"`
	// Types that are valid to be assigned to Warning:
	//
	//	*AgentWarning_Version
	Warning       isAgentWarning_Warning `protobuf_oneof:"warning"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *AgentWarning) Reset() {
	*x = AgentWarning{}
	mi := &file_internal_module_agent_tracker_rpc_rpc_proto_msgTypes[7]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *AgentWarning) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*AgentWarning) ProtoMessage() {}

func (x *AgentWarning) ProtoReflect() protoreflect.Message {
	mi := &file_internal_module_agent_tracker_rpc_rpc_proto_msgTypes[7]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use AgentWarning.ProtoReflect.Descriptor instead.
func (*AgentWarning) Descriptor() ([]byte, []int) {
	return file_internal_module_agent_tracker_rpc_rpc_proto_rawDescGZIP(), []int{7}
}

func (x *AgentWarning) GetWarning() isAgentWarning_Warning {
	if x != nil {
		return x.Warning
	}
	return nil
}

func (x *AgentWarning) GetVersion() *AgentWarningVersion {
	if x != nil {
		if x, ok := x.Warning.(*AgentWarning_Version); ok {
			return x.Version
		}
	}
	return nil
}

type isAgentWarning_Warning interface {
	isAgentWarning_Warning()
}

type AgentWarning_Version struct {
	Version *AgentWarningVersion `protobuf:"bytes,1,opt,name=version,proto3,oneof"`
}

func (*AgentWarning_Version) isAgentWarning_Warning() {}

type AgentWarningVersion struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Message       string                 `protobuf:"bytes,1,opt,name=message,proto3" json:"message,omitempty"`
	Type          string                 `protobuf:"bytes,2,opt,name=type,proto3" json:"type,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *AgentWarningVersion) Reset() {
	*x = AgentWarningVersion{}
	mi := &file_internal_module_agent_tracker_rpc_rpc_proto_msgTypes[8]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *AgentWarningVersion) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*AgentWarningVersion) ProtoMessage() {}

func (x *AgentWarningVersion) ProtoReflect() protoreflect.Message {
	mi := &file_internal_module_agent_tracker_rpc_rpc_proto_msgTypes[8]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use AgentWarningVersion.ProtoReflect.Descriptor instead.
func (*AgentWarningVersion) Descriptor() ([]byte, []int) {
	return file_internal_module_agent_tracker_rpc_rpc_proto_rawDescGZIP(), []int{8}
}

func (x *AgentWarningVersion) GetMessage() string {
	if x != nil {
		return x.Message
	}
	return ""
}

func (x *AgentWarningVersion) GetType() string {
	if x != nil {
		return x.Type
	}
	return ""
}

var File_internal_module_agent_tracker_rpc_rpc_proto protoreflect.FileDescriptor

var file_internal_module_agent_tracker_rpc_rpc_proto_rawDesc = string([]byte{
	0x0a, 0x2b, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x6e, 0x61, 0x6c, 0x2f, 0x6d, 0x6f, 0x64, 0x75, 0x6c,
	0x65, 0x2f, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x5f, 0x74, 0x72, 0x61, 0x63, 0x6b, 0x65, 0x72, 0x2f,
	0x72, 0x70, 0x63, 0x2f, 0x72, 0x70, 0x63, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x1e, 0x67,
	0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x61, 0x67, 0x65, 0x6e,
	0x74, 0x5f, 0x74, 0x72, 0x61, 0x63, 0x6b, 0x65, 0x72, 0x2e, 0x72, 0x70, 0x63, 0x1a, 0x1f, 0x67,
	0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x74,
	0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x17,
	0x70, 0x6b, 0x67, 0x2f, 0x65, 0x6e, 0x74, 0x69, 0x74, 0x79, 0x2f, 0x65, 0x6e, 0x74, 0x69, 0x74,
	0x79, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1b, 0x62, 0x75, 0x66, 0x2f, 0x76, 0x61, 0x6c,
	0x69, 0x64, 0x61, 0x74, 0x65, 0x2f, 0x76, 0x61, 0x6c, 0x69, 0x64, 0x61, 0x74, 0x65, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x22, 0x48, 0x0a, 0x25, 0x47, 0x65, 0x74, 0x43, 0x6f, 0x6e, 0x6e, 0x65,
	0x63, 0x74, 0x65, 0x64, 0x41, 0x67, 0x65, 0x6e, 0x74, 0x73, 0x42, 0x79, 0x50, 0x72, 0x6f, 0x6a,
	0x65, 0x63, 0x74, 0x49, 0x44, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x1f, 0x0a,
	0x0b, 0x70, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x5f, 0x69, 0x64, 0x73, 0x18, 0x01, 0x20, 0x03,
	0x28, 0x03, 0x52, 0x0a, 0x70, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x49, 0x64, 0x73, 0x22, 0x42,
	0x0a, 0x23, 0x47, 0x65, 0x74, 0x43, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x65, 0x64, 0x41, 0x67,
	0x65, 0x6e, 0x74, 0x73, 0x42, 0x79, 0x41, 0x67, 0x65, 0x6e, 0x74, 0x49, 0x44, 0x73, 0x52, 0x65,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x1b, 0x0a, 0x09, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x5f, 0x69,
	0x64, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x03, 0x52, 0x08, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x49,
	0x64, 0x73, 0x22, 0x70, 0x0a, 0x26, 0x47, 0x65, 0x74, 0x43, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74,
	0x65, 0x64, 0x41, 0x67, 0x65, 0x6e, 0x74, 0x73, 0x42, 0x79, 0x50, 0x72, 0x6f, 0x6a, 0x65, 0x63,
	0x74, 0x49, 0x44, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x46, 0x0a, 0x06,
	0x61, 0x67, 0x65, 0x6e, 0x74, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x2e, 0x2e, 0x67,
	0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x61, 0x67, 0x65, 0x6e,
	0x74, 0x5f, 0x74, 0x72, 0x61, 0x63, 0x6b, 0x65, 0x72, 0x2e, 0x72, 0x70, 0x63, 0x2e, 0x43, 0x6f,
	0x6e, 0x6e, 0x65, 0x63, 0x74, 0x65, 0x64, 0x41, 0x67, 0x65, 0x6e, 0x74, 0x52, 0x06, 0x61, 0x67,
	0x65, 0x6e, 0x74, 0x73, 0x22, 0x6e, 0x0a, 0x24, 0x47, 0x65, 0x74, 0x43, 0x6f, 0x6e, 0x6e, 0x65,
	0x63, 0x74, 0x65, 0x64, 0x41, 0x67, 0x65, 0x6e, 0x74, 0x73, 0x42, 0x79, 0x41, 0x67, 0x65, 0x6e,
	0x74, 0x49, 0x44, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x46, 0x0a, 0x06,
	0x61, 0x67, 0x65, 0x6e, 0x74, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x2e, 0x2e, 0x67,
	0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x61, 0x67, 0x65, 0x6e,
	0x74, 0x5f, 0x74, 0x72, 0x61, 0x63, 0x6b, 0x65, 0x72, 0x2e, 0x72, 0x70, 0x63, 0x2e, 0x43, 0x6f,
	0x6e, 0x6e, 0x65, 0x63, 0x74, 0x65, 0x64, 0x41, 0x67, 0x65, 0x6e, 0x74, 0x52, 0x06, 0x61, 0x67,
	0x65, 0x6e, 0x74, 0x73, 0x22, 0x23, 0x0a, 0x21, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x41, 0x67, 0x65,
	0x6e, 0x74, 0x73, 0x42, 0x79, 0x41, 0x67, 0x65, 0x6e, 0x74, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f,
	0x6e, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x22, 0xe4, 0x01, 0x0a, 0x22, 0x43, 0x6f,
	0x75, 0x6e, 0x74, 0x41, 0x67, 0x65, 0x6e, 0x74, 0x73, 0x42, 0x79, 0x41, 0x67, 0x65, 0x6e, 0x74,
	0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65,
	0x12, 0x7c, 0x0a, 0x0e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x5f, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f,
	0x6e, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x55, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61,
	0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x5f, 0x74, 0x72,
	0x61, 0x63, 0x6b, 0x65, 0x72, 0x2e, 0x72, 0x70, 0x63, 0x2e, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x41,
	0x67, 0x65, 0x6e, 0x74, 0x73, 0x42, 0x79, 0x41, 0x67, 0x65, 0x6e, 0x74, 0x56, 0x65, 0x72, 0x73,
	0x69, 0x6f, 0x6e, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x2e, 0x41, 0x67, 0x65,
	0x6e, 0x74, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x73, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x52,
	0x0d, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x73, 0x1a, 0x40,
	0x0a, 0x12, 0x41, 0x67, 0x65, 0x6e, 0x74, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x73, 0x45,
	0x6e, 0x74, 0x72, 0x79, 0x12, 0x10, 0x0a, 0x03, 0x6b, 0x65, 0x79, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x03, 0x6b, 0x65, 0x79, 0x12, 0x14, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18,
	0x02, 0x20, 0x01, 0x28, 0x03, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x3a, 0x02, 0x38, 0x01,
	0x22, 0xce, 0x02, 0x0a, 0x0e, 0x43, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x65, 0x64, 0x41, 0x67,
	0x65, 0x6e, 0x74, 0x12, 0x46, 0x0a, 0x0a, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x5f, 0x6d, 0x65, 0x74,
	0x61, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1e, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62,
	0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x65, 0x6e, 0x74, 0x69, 0x74, 0x79, 0x2e, 0x41, 0x67,
	0x65, 0x6e, 0x74, 0x4d, 0x65, 0x74, 0x61, 0x42, 0x06, 0xba, 0x48, 0x03, 0xc8, 0x01, 0x01, 0x52,
	0x0a, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x5f, 0x6d, 0x65, 0x74, 0x61, 0x12, 0x48, 0x0a, 0x0c, 0x63,
	0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x65, 0x64, 0x5f, 0x61, 0x74, 0x18, 0x02, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x62, 0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x42, 0x08, 0xba,
	0x48, 0x05, 0xb2, 0x01, 0x02, 0x2a, 0x00, 0x52, 0x0c, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74,
	0x65, 0x64, 0x5f, 0x61, 0x74, 0x12, 0x24, 0x0a, 0x0d, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74,
	0x69, 0x6f, 0x6e, 0x5f, 0x69, 0x64, 0x18, 0x03, 0x20, 0x01, 0x28, 0x03, 0x52, 0x0d, 0x63, 0x6f,
	0x6e, 0x6e, 0x65, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x5f, 0x69, 0x64, 0x12, 0x1a, 0x0a, 0x08, 0x61,
	0x67, 0x65, 0x6e, 0x74, 0x5f, 0x69, 0x64, 0x18, 0x04, 0x20, 0x01, 0x28, 0x03, 0x52, 0x08, 0x61,
	0x67, 0x65, 0x6e, 0x74, 0x5f, 0x69, 0x64, 0x12, 0x1e, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x6a, 0x65,
	0x63, 0x74, 0x5f, 0x69, 0x64, 0x18, 0x05, 0x20, 0x01, 0x28, 0x03, 0x52, 0x0a, 0x70, 0x72, 0x6f,
	0x6a, 0x65, 0x63, 0x74, 0x5f, 0x69, 0x64, 0x12, 0x48, 0x0a, 0x08, 0x77, 0x61, 0x72, 0x6e, 0x69,
	0x6e, 0x67, 0x73, 0x18, 0x06, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x2c, 0x2e, 0x67, 0x69, 0x74, 0x6c,
	0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x5f, 0x74,
	0x72, 0x61, 0x63, 0x6b, 0x65, 0x72, 0x2e, 0x72, 0x70, 0x63, 0x2e, 0x41, 0x67, 0x65, 0x6e, 0x74,
	0x57, 0x61, 0x72, 0x6e, 0x69, 0x6e, 0x67, 0x52, 0x08, 0x77, 0x61, 0x72, 0x6e, 0x69, 0x6e, 0x67,
	0x73, 0x22, 0x71, 0x0a, 0x0c, 0x41, 0x67, 0x65, 0x6e, 0x74, 0x57, 0x61, 0x72, 0x6e, 0x69, 0x6e,
	0x67, 0x12, 0x4f, 0x0a, 0x07, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x33, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e,
	0x74, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x5f, 0x74, 0x72, 0x61, 0x63, 0x6b, 0x65, 0x72, 0x2e,
	0x72, 0x70, 0x63, 0x2e, 0x41, 0x67, 0x65, 0x6e, 0x74, 0x57, 0x61, 0x72, 0x6e, 0x69, 0x6e, 0x67,
	0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x48, 0x00, 0x52, 0x07, 0x76, 0x65, 0x72, 0x73, 0x69,
	0x6f, 0x6e, 0x42, 0x10, 0x0a, 0x07, 0x77, 0x61, 0x72, 0x6e, 0x69, 0x6e, 0x67, 0x12, 0x05, 0xba,
	0x48, 0x02, 0x08, 0x01, 0x22, 0x6f, 0x0a, 0x13, 0x41, 0x67, 0x65, 0x6e, 0x74, 0x57, 0x61, 0x72,
	0x6e, 0x69, 0x6e, 0x67, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x12, 0x21, 0x0a, 0x07, 0x6d,
	0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x42, 0x07, 0xba, 0x48,
	0x04, 0x72, 0x02, 0x20, 0x01, 0x52, 0x07, 0x6d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x12, 0x35,
	0x0a, 0x04, 0x74, 0x79, 0x70, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x42, 0x21, 0xba, 0x48,
	0x1e, 0x72, 0x1c, 0x52, 0x07, 0x55, 0x4e, 0x4b, 0x4e, 0x4f, 0x57, 0x4e, 0x52, 0x08, 0x4f, 0x55,
	0x54, 0x44, 0x41, 0x54, 0x45, 0x44, 0x52, 0x07, 0x54, 0x4f, 0x4f, 0x5f, 0x4e, 0x45, 0x57, 0x52,
	0x04, 0x74, 0x79, 0x70, 0x65, 0x32, 0xa1, 0x04, 0x0a, 0x0c, 0x41, 0x67, 0x65, 0x6e, 0x74, 0x54,
	0x72, 0x61, 0x63, 0x6b, 0x65, 0x72, 0x12, 0xb4, 0x01, 0x0a, 0x1e, 0x47, 0x65, 0x74, 0x43, 0x6f,
	0x6e, 0x6e, 0x65, 0x63, 0x74, 0x65, 0x64, 0x41, 0x67, 0x65, 0x6e, 0x74, 0x73, 0x42, 0x79, 0x50,
	0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x49, 0x44, 0x73, 0x12, 0x45, 0x2e, 0x67, 0x69, 0x74, 0x6c,
	0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x5f, 0x74,
	0x72, 0x61, 0x63, 0x6b, 0x65, 0x72, 0x2e, 0x72, 0x70, 0x63, 0x2e, 0x47, 0x65, 0x74, 0x43, 0x6f,
	0x6e, 0x6e, 0x65, 0x63, 0x74, 0x65, 0x64, 0x41, 0x67, 0x65, 0x6e, 0x74, 0x73, 0x42, 0x79, 0x50,
	0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x49, 0x44, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x1a, 0x46, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e,
	0x61, 0x67, 0x65, 0x6e, 0x74, 0x5f, 0x74, 0x72, 0x61, 0x63, 0x6b, 0x65, 0x72, 0x2e, 0x72, 0x70,
	0x63, 0x2e, 0x47, 0x65, 0x74, 0x43, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x65, 0x64, 0x41, 0x67,
	0x65, 0x6e, 0x74, 0x73, 0x42, 0x79, 0x50, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x49, 0x44, 0x73,
	0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x03, 0x90, 0x02, 0x01, 0x12, 0xae, 0x01,
	0x0a, 0x1c, 0x47, 0x65, 0x74, 0x43, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x65, 0x64, 0x41, 0x67,
	0x65, 0x6e, 0x74, 0x73, 0x42, 0x79, 0x41, 0x67, 0x65, 0x6e, 0x74, 0x49, 0x44, 0x73, 0x12, 0x43,
	0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x61, 0x67,
	0x65, 0x6e, 0x74, 0x5f, 0x74, 0x72, 0x61, 0x63, 0x6b, 0x65, 0x72, 0x2e, 0x72, 0x70, 0x63, 0x2e,
	0x47, 0x65, 0x74, 0x43, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x65, 0x64, 0x41, 0x67, 0x65, 0x6e,
	0x74, 0x73, 0x42, 0x79, 0x41, 0x67, 0x65, 0x6e, 0x74, 0x49, 0x44, 0x73, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x1a, 0x44, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65,
	0x6e, 0x74, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x5f, 0x74, 0x72, 0x61, 0x63, 0x6b, 0x65, 0x72,
	0x2e, 0x72, 0x70, 0x63, 0x2e, 0x47, 0x65, 0x74, 0x43, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x65,
	0x64, 0x41, 0x67, 0x65, 0x6e, 0x74, 0x73, 0x42, 0x79, 0x41, 0x67, 0x65, 0x6e, 0x74, 0x49, 0x44,
	0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x03, 0x90, 0x02, 0x01, 0x12, 0xa8,
	0x01, 0x0a, 0x1a, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x41, 0x67, 0x65, 0x6e, 0x74, 0x73, 0x42, 0x79,
	0x41, 0x67, 0x65, 0x6e, 0x74, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x73, 0x12, 0x41, 0x2e,
	0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x61, 0x67, 0x65,
	0x6e, 0x74, 0x5f, 0x74, 0x72, 0x61, 0x63, 0x6b, 0x65, 0x72, 0x2e, 0x72, 0x70, 0x63, 0x2e, 0x43,
	0x6f, 0x75, 0x6e, 0x74, 0x41, 0x67, 0x65, 0x6e, 0x74, 0x73, 0x42, 0x79, 0x41, 0x67, 0x65, 0x6e,
	0x74, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x1a, 0x42, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e,
	0x61, 0x67, 0x65, 0x6e, 0x74, 0x5f, 0x74, 0x72, 0x61, 0x63, 0x6b, 0x65, 0x72, 0x2e, 0x72, 0x70,
	0x63, 0x2e, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x41, 0x67, 0x65, 0x6e, 0x74, 0x73, 0x42, 0x79, 0x41,
	0x67, 0x65, 0x6e, 0x74, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x73, 0x52, 0x65, 0x73, 0x70,
	0x6f, 0x6e, 0x73, 0x65, 0x22, 0x03, 0x90, 0x02, 0x01, 0x42, 0x5e, 0x5a, 0x5c, 0x67, 0x69, 0x74,
	0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2d, 0x6f,
	0x72, 0x67, 0x2f, 0x63, 0x6c, 0x75, 0x73, 0x74, 0x65, 0x72, 0x2d, 0x69, 0x6e, 0x74, 0x65, 0x67,
	0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2f, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2d, 0x61, 0x67,
	0x65, 0x6e, 0x74, 0x2f, 0x76, 0x31, 0x37, 0x2f, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x6e, 0x61, 0x6c,
	0x2f, 0x6d, 0x6f, 0x64, 0x75, 0x6c, 0x65, 0x2f, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x5f, 0x74, 0x72,
	0x61, 0x63, 0x6b, 0x65, 0x72, 0x2f, 0x72, 0x70, 0x63, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x33,
})

var (
	file_internal_module_agent_tracker_rpc_rpc_proto_rawDescOnce sync.Once
	file_internal_module_agent_tracker_rpc_rpc_proto_rawDescData []byte
)

func file_internal_module_agent_tracker_rpc_rpc_proto_rawDescGZIP() []byte {
	file_internal_module_agent_tracker_rpc_rpc_proto_rawDescOnce.Do(func() {
		file_internal_module_agent_tracker_rpc_rpc_proto_rawDescData = protoimpl.X.CompressGZIP(unsafe.Slice(unsafe.StringData(file_internal_module_agent_tracker_rpc_rpc_proto_rawDesc), len(file_internal_module_agent_tracker_rpc_rpc_proto_rawDesc)))
	})
	return file_internal_module_agent_tracker_rpc_rpc_proto_rawDescData
}

var file_internal_module_agent_tracker_rpc_rpc_proto_msgTypes = make([]protoimpl.MessageInfo, 10)
var file_internal_module_agent_tracker_rpc_rpc_proto_goTypes = []any{
	(*GetConnectedAgentsByProjectIDsRequest)(nil),  // 0: gitlab.agent.agent_tracker.rpc.GetConnectedAgentsByProjectIDsRequest
	(*GetConnectedAgentsByAgentIDsRequest)(nil),    // 1: gitlab.agent.agent_tracker.rpc.GetConnectedAgentsByAgentIDsRequest
	(*GetConnectedAgentsByProjectIDsResponse)(nil), // 2: gitlab.agent.agent_tracker.rpc.GetConnectedAgentsByProjectIDsResponse
	(*GetConnectedAgentsByAgentIDsResponse)(nil),   // 3: gitlab.agent.agent_tracker.rpc.GetConnectedAgentsByAgentIDsResponse
	(*CountAgentsByAgentVersionsRequest)(nil),      // 4: gitlab.agent.agent_tracker.rpc.CountAgentsByAgentVersionsRequest
	(*CountAgentsByAgentVersionsResponse)(nil),     // 5: gitlab.agent.agent_tracker.rpc.CountAgentsByAgentVersionsResponse
	(*ConnectedAgent)(nil),                         // 6: gitlab.agent.agent_tracker.rpc.ConnectedAgent
	(*AgentWarning)(nil),                           // 7: gitlab.agent.agent_tracker.rpc.AgentWarning
	(*AgentWarningVersion)(nil),                    // 8: gitlab.agent.agent_tracker.rpc.AgentWarningVersion
	nil,                                            // 9: gitlab.agent.agent_tracker.rpc.CountAgentsByAgentVersionsResponse.AgentVersionsEntry
	(*entity.AgentMeta)(nil),                       // 10: gitlab.agent.entity.AgentMeta
	(*timestamppb.Timestamp)(nil),                  // 11: google.protobuf.Timestamp
}
var file_internal_module_agent_tracker_rpc_rpc_proto_depIdxs = []int32{
	6,  // 0: gitlab.agent.agent_tracker.rpc.GetConnectedAgentsByProjectIDsResponse.agents:type_name -> gitlab.agent.agent_tracker.rpc.ConnectedAgent
	6,  // 1: gitlab.agent.agent_tracker.rpc.GetConnectedAgentsByAgentIDsResponse.agents:type_name -> gitlab.agent.agent_tracker.rpc.ConnectedAgent
	9,  // 2: gitlab.agent.agent_tracker.rpc.CountAgentsByAgentVersionsResponse.agent_versions:type_name -> gitlab.agent.agent_tracker.rpc.CountAgentsByAgentVersionsResponse.AgentVersionsEntry
	10, // 3: gitlab.agent.agent_tracker.rpc.ConnectedAgent.agent_meta:type_name -> gitlab.agent.entity.AgentMeta
	11, // 4: gitlab.agent.agent_tracker.rpc.ConnectedAgent.connected_at:type_name -> google.protobuf.Timestamp
	7,  // 5: gitlab.agent.agent_tracker.rpc.ConnectedAgent.warnings:type_name -> gitlab.agent.agent_tracker.rpc.AgentWarning
	8,  // 6: gitlab.agent.agent_tracker.rpc.AgentWarning.version:type_name -> gitlab.agent.agent_tracker.rpc.AgentWarningVersion
	0,  // 7: gitlab.agent.agent_tracker.rpc.AgentTracker.GetConnectedAgentsByProjectIDs:input_type -> gitlab.agent.agent_tracker.rpc.GetConnectedAgentsByProjectIDsRequest
	1,  // 8: gitlab.agent.agent_tracker.rpc.AgentTracker.GetConnectedAgentsByAgentIDs:input_type -> gitlab.agent.agent_tracker.rpc.GetConnectedAgentsByAgentIDsRequest
	4,  // 9: gitlab.agent.agent_tracker.rpc.AgentTracker.CountAgentsByAgentVersions:input_type -> gitlab.agent.agent_tracker.rpc.CountAgentsByAgentVersionsRequest
	2,  // 10: gitlab.agent.agent_tracker.rpc.AgentTracker.GetConnectedAgentsByProjectIDs:output_type -> gitlab.agent.agent_tracker.rpc.GetConnectedAgentsByProjectIDsResponse
	3,  // 11: gitlab.agent.agent_tracker.rpc.AgentTracker.GetConnectedAgentsByAgentIDs:output_type -> gitlab.agent.agent_tracker.rpc.GetConnectedAgentsByAgentIDsResponse
	5,  // 12: gitlab.agent.agent_tracker.rpc.AgentTracker.CountAgentsByAgentVersions:output_type -> gitlab.agent.agent_tracker.rpc.CountAgentsByAgentVersionsResponse
	10, // [10:13] is the sub-list for method output_type
	7,  // [7:10] is the sub-list for method input_type
	7,  // [7:7] is the sub-list for extension type_name
	7,  // [7:7] is the sub-list for extension extendee
	0,  // [0:7] is the sub-list for field type_name
}

func init() { file_internal_module_agent_tracker_rpc_rpc_proto_init() }
func file_internal_module_agent_tracker_rpc_rpc_proto_init() {
	if File_internal_module_agent_tracker_rpc_rpc_proto != nil {
		return
	}
	file_internal_module_agent_tracker_rpc_rpc_proto_msgTypes[7].OneofWrappers = []any{
		(*AgentWarning_Version)(nil),
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: unsafe.Slice(unsafe.StringData(file_internal_module_agent_tracker_rpc_rpc_proto_rawDesc), len(file_internal_module_agent_tracker_rpc_rpc_proto_rawDesc)),
			NumEnums:      0,
			NumMessages:   10,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_internal_module_agent_tracker_rpc_rpc_proto_goTypes,
		DependencyIndexes: file_internal_module_agent_tracker_rpc_rpc_proto_depIdxs,
		MessageInfos:      file_internal_module_agent_tracker_rpc_rpc_proto_msgTypes,
	}.Build()
	File_internal_module_agent_tracker_rpc_rpc_proto = out.File
	file_internal_module_agent_tracker_rpc_rpc_proto_goTypes = nil
	file_internal_module_agent_tracker_rpc_rpc_proto_depIdxs = nil
}
